;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1

;-| AI by tunglashor |-----------------------------------------------------
[command]
name = "AI1"
command = a,a,b,b,c,c
time = 0

[command]
name = "AI2"
command = b,b,c,c,a,a
time = 0

[command]
name = "AI3"
command = c,c,a,a,b,b
time = 0

[command]
name = "AI4"
command = x,x,y,y,z,z
time = 0

[command]
name = "AI5"
command = y,y,z,z,x,x
time = 0

[command]
name = "AI6"
command = z,z,x,x,y,y
time = 0

[command]
name = "AI7"
command = F,F,D,D,DF,DF
time = 0

[command]
name = "AI8"
command = D,D,DF,DF,F,F
time = 0

[command]
name = "AI9"
command = DF,DF,F,F,D,D
time = 0

[command]
name = "AI10"
command = B,B,D,D,DB,DB
time = 0

[command]
name = "AI11"
command = D,D,DB,DB,B,B
time = 0

[command]
name = "AI12"
command = DB,DB,B,B,D,D
time = 0

[command]
name = "AI13"
command = F,F,U,U,UF,UF
time = 0

[command]
name = "AI14"
command = U,U,UF,UF,F,F
time = 0

[command]
name = "AI15"
command = UF,UF,F,F,U,U
time = 0

[command]
name = "AI16"
command = B,B,U,U,UB,UB
time = 0

[command]
name = "AI17"
command = U,U,UB,UB,B,B
time = 0

[command]
name = "AI18"
command = UB,UB,B,B,U,U
time = 0

[command]
name = "AI19"
command = F,F,B,B,U,U
time = 0

[command]
name = "AI20"
command = B,B,U,U,F,F
time = 0

[command]
name = "AI21"
command = U,U,F,F,B,B
time = 0

[command]
name = "AI22"
command = UB,B,UB,B,U,U
time = 0

[command]
name = "AI23"
command = F,B,B,F,U,U
time = 0

[command]
name = "AI24"
command = B,U,B,U,F,F
time = 0

[command]
name = "AI25"
command = U,F,U,F,B,B
time = 0

;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "camionetazo"
command = ~D, DF, F, a+b
time = 20

[Command]
name = "camionetazo"
command = ~D, DF, F, b+c
time = 20

[Command]
name = "TripleKFPalm"   
command = ~D, DF, F, x+y
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, y+z
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, x+y
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, y+z
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, z

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_z"
command = ~D, DF, F, z

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_z"
command = ~D, DB, B, z

[Command]
name = "QCF_a"
command = D, DF, F, a

[Command]
name = "QCF_b"
command = D, DF, F, b

[Command]
name = "QCF_c"
command = D, DF, F, c

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

[Command]
name = "superjump"
command = a+b+c

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "superjump"
command = $D,$U
time = 15

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

;===========================================================================
;---------------------------------------------------------------------------
;Smash Upper (uses one super bar)
[State -1, Smash Upper]
type = ChangeState
value = 3050
triggerall = command = "SmashKFUpper"
triggerall = power >= 1000
triggerall = statetype != A
triggerall = var(50) = 0
trigger1 = ctrl
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != [3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
; It's clobberin' time!
[State -1, It's clobberin' time!]
type = ChangeState
value = 3000
triggerall = command = "TripleKFPalm"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
trigger2 = stateno != 3102 ;[3050,3100)
trigger2 = movecontact

;---------------------------------------------------------------------------
;Camionetazo (uses one super bar)
[State -1, Camionetazo]
type = ChangeState
value = 3100
triggerall = command = "camionetazo"
triggerall = power >= 1000
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = statetype != A
trigger2 = hitdefattr = SC, NA, SA, HA
;trigger2 = stateno != [3050,3100)
;trigger2 = movecontact

;===========================================================================
;This is not a move, but it sets up var(1) to be 1 if conditions are right
;for a combo into a special move (used below).
;Since a lot of special moves rely on the same conditions, this reduces
;redundant logic.
[State -1, Combo condition Reset]
type = VarSet
trigger1 = 1
var(1) = 0

[State -1, Combo condition Check]
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = stateno != 440 ;Except for sweep kick
trigger2 = movecontact
var(1) = 1

;---------------------------------------------------------------------------
;Strong air charge (1/3 super bar)
[State -1, Super air charge]
type = ChangeState
value = 1070
triggerall = command = "QCF_c"
triggerall = power >= 330
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light air charge
[State -1, Quick air charge]
type = ChangeState
value = 1050
triggerall = command = "QCF_a"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Middle air charge
[State -1, Medium air charge]
type = ChangeState
value = 1060
triggerall = command = "QCF_b"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Palm (1/3 super bar)
[State -1, Fast Kung Fu Palm]
type = ChangeState
value = 1020
triggerall = command = "QCF_z"
triggerall = power >= 330
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Palm
[State -1, Light Kung Fu Palm]
type = ChangeState
value = 1000
triggerall = command = "QCF_x"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Palm
[State -1, Strong Kung Fu Palm]
type = ChangeState
value = 1010
triggerall = command = "QCF_y"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Upper (1/3 super bar)
[State -1, Fast Kung Fu Upper]
type = ChangeState
value = 1120
triggerall = command = "upper_xy"
triggerall = power >= 330
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Light Kung Fu Upper
[State -1, Light Kung Fu Upper]
type = ChangeState
value = 1100
triggerall = command = "upper_x"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Upper
[State -1, Strong Kung Fu Upper]
type = ChangeState
value = 1110
triggerall = command = "upper_y"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Fast Kung Fu Blow (1/3 super bar)
[State -1, Fast Kung Fu Blow]
type = ChangeState
value = 1220
triggerall = command = "QCB_z"
triggerall = power >= 330
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)
trigger1 = var(50) = 0

;---------------------------------------------------------------------------
;Light Kung Fu Blow
[State -1, Light Kung Fu Blow]
type = ChangeState
value = 1200
triggerall = command = "QCB_x"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;---------------------------------------------------------------------------
;Strong Kung Fu Blow
[State -1, Strong Kung Fu Blow]
type = ChangeState
value = 1210
triggerall = command = "QCB_y"
triggerall = var(50) = 0
trigger1 = var(1) ;Use combo condition (above)

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
[State -1, Run Fwd]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
[State -1, Run Back]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Throw
[State -1, Throw]
type = ChangeState
value = 800
triggerall = command = "y" || command = "z"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
;Super Jump
[State -1, Super Jump]
type = ChangeState
value = 1045
trigger1 = command = "superjump"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = command = "holdup"
trigger2 = stateno = 240 || stateno = 420
trigger2 = movehit && time > 16

;===========================================================================
;---------------------------------------------------------------------------
;Stand Light Punch
;p`
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
;---------------------------------------------------------------------------
;Stand Stronger Punch
;p`
[State -1, Stand Strong Punch]
type = ChangeState
value = 220
triggerall = command = "z"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Stand Light Kick
;LbN
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 7
trigger3 = (stateno = 230) && time > 9

;---------------------------------------------------------------------------
;Standing Strong Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6

;---------------------------------------------------------------------------
;Standing Strongest Kick
;LbN
[State -1, Standing Strong Kick]
type = ChangeState
value = 250
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = var(50) = 0
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = (stateno = 200) && time > 5
trigger3 = (stateno = 230) && time > 6
;---------------------------------------------------------------------------
;Taunt
;
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Light Punch
;Ⴊݎp`
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl

;---------------------------------------------------------------------------
;Crouching Strong Punch
;Ⴊ݋p`
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = movecontact ;(time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strongest Punch
;Ⴊ݋p`
[State -1, Crouching Strongest Punch]
type = ChangeState
value = 420
triggerall = command = "z"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 410) || (stateno = 430)
trigger2 = movecontact ;(time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------

;Crouching Light Kick
;ႪݎLbN
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strong Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Crouching Strongest Kick
;Ⴊ݋LbN
[State -1, Crouching Strong Kick]
type = ChangeState
value = 450
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = var(50) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = (stateno = 400) || (stateno = 430)
trigger2 = (time > 9) || (movecontact && time > 5)

;---------------------------------------------------------------------------
;Jump Light Punch
;󒆎p`
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
;trigger2 = stateno = 600
;trigger2 = statetime >= 7
;trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking
;---------------------------------------------------------------------------
;Jump Strongest Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 620
triggerall = command = "z"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strong Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 630 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;---------------------------------------------------------------------------
;Jump Strongest Kick
;󒆋LbN
[State -1, Jump Strong Kick]
type = ChangeState
value = 650
triggerall = command = "c"
triggerall = var(50) = 0
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600 || stateno = 640 ;jump_x or jump_a
trigger2 = movecontact
trigger3 = stateno = 1350 ;Air blocking

;-----------------------------
;[State -1]
;type = ChangeState
;triggerall = (roundstate = 2) && (var(59) != 0)
;triggerall = (Ctrl) && (Statetype = S) && (p2statetype != L)
;trigger1 = (p2bodydist x <= 50) && (prevstateno != 5120) && (numproj = 0) && (statetype != A)
;trigger1 = (power >= 1000) && (numproj = 0) && (random = [0,300])
;value = 3100

;[State -1, Hyper]
;type = ChangeState
;value = 3100
;triggerall = command = "QCF_x+y"
;triggerall = power >= 1000
;trigger1 = Statetype != A && ctrl
;trigger2 = (StateType != A) && (HitdefAttr = SC, NA) && (MoveContact)

;-----------------------------

;-| AI by tunglashor |-----------------------------------------------------
[state -1, Activate AI]
type = varset
v = 59
trigger1 = command = "AI1"
trigger2 = command = "AI2"
trigger3 = command = "AI3"
trigger4 = command = "AI4"
trigger5 = command = "AI5"
trigger6 = command = "AI6"
trigger7 = command = "AI7"
trigger8 = command = "AI8"
trigger9 = command = "AI9"
trigger10 = command = "AI10"
trigger11 = command = "AI11"
trigger12 = command = "AI12"
trigger13 = command = "AI13"
trigger14 = command = "AI14"
trigger15 = command = "AI15"
trigger16 = command = "AI16"
trigger17 = command = "AI17"
trigger18 = command = "AI18"
trigger19 = command = "AI19"
trigger20 = command = "AI20"
trigger21 = command = "AI21"
trigger22 = command = "AI22"
trigger23 = command = "AI23"
trigger24 = command = "AI24"
trigger25 = command = "AI25"
value = 1

[state -1, Enable AI]
type = varset
v = 50
trigger1 = 1
value = ifelse(roundstate = 2, var(59), 0)

;-| AI blocking |---------------------------------------------------------------
[state -1, AI block]
type = changestate
value = ifelse(StateType != A && (enemynear,HitDefAttr = SA,AA,AT,AP), 130, ifelse(StateType = A,132,131))
triggerall = var(50) && ctrl
triggerall = stateno != [120,155]
trigger1 = inguarddist

;-| AI super jump |-------------------------------------------------------------
[State -1, AI super jump upwards]
type = changestate
value = ifelse(p2bodydist X <= 50, 1045, 1046)
triggerall = var(50)
triggerall = p2bodydist Y < -150
triggerall = ctrl && statetype!= A
trigger1 = p2bodydist X = [0, 50]
trigger1 = random > 500
trigger2 = p2bodydist X = (50, 100]
trigger2 = random > 650

;-| AI throw |------------------------------------------------------------------
[State -1, AI throw]
type = ChangeState
value = 800
triggerall = var(50) && var(1) && statetype = S
triggerall = stateno != 100
trigger1 = p2bodydist X < 3
trigger1 = random > 850
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = p2bodydist X < 5
trigger2 = random > 850
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;-| AI state-specific |-
[state -1, AI get-up]
type =  changestate
value = 440
triggerall = var(50) && ctrl && statetype != A
triggerall = P2BodyDist X = [0, 130]
trigger1 = prevstateno = 5120
trigger1 = enemynear, statetype = S
trigger1 = !(enemynear, HitDefAttr = SCA,AP)

;-| AI Super Motions |----------------------------------------------------------
[state -1, AI truck]
type =  changestate
value = 3100
triggerall = var(50) && ctrl
triggerall = power >= 1000
triggerall = statetype != A
triggerall = movetype != H
triggerall = p2life > 0
triggerall = stateno != [3000,3050]
trigger1 = (stateno = 440) && movecontact && !moveguarded && random < 200
trigger2 = (stateno = 1220) && animElemTime(11) = 50 && movecontact && !moveguarded && random <= 250
trigger3 = (stateno = 210) && animElemTime(14) && movecontact && !moveguarded && random <= 200
trigger4 = (stateno != [3000,3102]) && (enemynear, statetype = L) && power >= 2500 && random > 200

[state -1, AI super uppercut]
type =  changestate
value = 3050
triggerall = var(50) && ctrl
triggerall = power >= 1000
triggerall = statetype != A
triggerall = enemynear, numproj = 0
triggerall = movetype != H
triggerall = p2life > 0
trigger1 = (stateno = 420) && movecontact && !moveguarded && animElem = 7 && random <= 250
trigger2 = (stateno = 1020) && movecontact && !moveguarded && animElem = 10 && random <= 250
trigger3 = (stateno = 1010) && movecontact && !moveguarded && P2BodyDist X < 170 && animelem = 26 && random <= 350
trigger4 = (stateno != [3000,3102]) && (PrevStateNo != 810) && statetype = S
trigger4 = (enemynear, statetype = A) && (P2BodyDist Y = [-80, -40]) && P2BodyDist X > 80
trigger4 = (p2stateno != 122 && p2stateno != 132 && p2stateno != 152)
trigger4 = random > 150

[state -1, AI clobberin time]
type =  changestate
value = 3000
triggerall = var(50) && ctrl
triggerall = power >= 1000
triggerall = movetype != H
triggerall = p2life > 0
trigger1 = enemynear, stateno = 5120
trigger1 = enemynear, statetype = A
trigger1 = p2bodydist Y = [-60, 0]
trigger1 = statetype != A
trigger1 = random > 150

;-| AI Special Motions |--------------------------------------------------------
[state -1, AI uppercut]
type =  changestate
value = 1100
triggerall = var(50) && var(1)
trigger1 = enemynear, statetype = A
trigger1 = random < 450
trigger1 = P2BodyDist X = [0, 60]
trigger1 = P2BodyDist Y =[-100, -40]
trigger2 = enemynear, statetype = S
trigger2 = random < 200
trigger2 = P2BodyDist X = [0, 50]

[state -1, AI ground punch]
type =  changestate
value = 1000
triggerall = var(50) && var(1)
triggerall = P2statetype = S || P2statetype = C
trigger1 = P2movetype = A
trigger1 = P2BodyDist X = [40, 185]
trigger1 = random < 100
trigger2 = P2BodyDist X = [100, 185]
trigger2 = random < 250

[state -1, AI stop sign]
type =  changestate
value = 1010
triggerall = var(50) && var(1) && random < 200
triggerall = P2BodyDist X = [100, 160]
trigger1 = P2statetype = S || P2statetype = C
trigger2 = P2BodyDist Y = [-80,0)
trigger2 = P2BodyDist X < 120

[state -1, AI ground charge]
type =  changestate
value = 1020
triggerall = var(50) && var(1) && power >= 330
triggerall = enemynear, numproj = 0
trigger1 = (P2statetype = S || P2statetype = C)
trigger1 = random < 30
trigger2 = P2BodyDist Y = [-30,0)
trigger2 = random < 100
trigger3 = stateno = 250
trigger3 = movecontact && !moveguarded
trigger3 = random < 700

[state -1, AI backhand]
type =  changestate
value = 1210
triggerall = var(50) && var(1)
triggerall = P2BodyDist X = [20, 40]
trigger1 = P2statetype = S
trigger1 = random < 370
trigger2 = P2BodyDist Y = [-20, 0)
trigger2 = random < 300
trigger3 = P2statetype = C
trigger3 = random < 120

[state -1, AI haymaker]
type =  changestate
value = 1220
triggerall = var(50) && var(1) && power >= 330
triggerall = P2BodyDist X = [20, 140]
trigger1 = P2statetype = S
trigger1 = random < 260
trigger2 = P2BodyDist Y = [-20, 0)
trigger2 = random < 180

[state -1, AI super air charge]
type =  changestate
value = 1070
triggerall = var(50) && var(1)
triggerall = power >= 330
trigger1 = P2BodyDist Y = [-160, -30]
trigger1 = P2BodyDist X = [0, 30]
trigger1 = random < 600
trigger2 = stateno = 250
trigger2 = movecontact && !moveguarded
trigger2 = random < 600
trigger3 = stateno = 1020
trigger3 = animElem = 12
trigger3 = movecontact && !moveguarded
trigger3 = random < 500

[state -1, AI super air charge extra hit]
type =  changestate
value = 1075
triggerall = var(50) && (stateno = 1071)
trigger1 = movecontact && !moveguarded
trigger1 = random > 200

[state -1, AI air charge]
type =  changestate
value = 1060
triggerall = var(50) && var(1)
trigger1 = P2BodyDist Y = [-160, -30]
trigger1 = P2BodyDist X = [0, 70]
trigger1 = random < 200

[state -1, AI air charge extra hit]
type =  changestate
value = 1055
triggerall = var(50) && random > 200
trigger1 = stateno = 1061 || stateno = 1051
trigger1 = movecontact && !moveguarded

[state -1, AI boulder]
type =  changestate
value = 1200
triggerall = var(50) && var(1)
trigger1 = P2statetype = A
trigger1 = P2BodyDist Y > -150
trigger1 = random < 110
trigger2 = P2BodyDist X > 170
trigger2 = random < 250
trigger2 = P2statetype != L

;-| AI Basic Motions |----------------------------------------------------------

[state -1, AI crouch light kick]
type =  changestate
value = 430
triggerall = var(50) && ctrl
triggerall = statetype = S || statetype = C
triggerall = P2BodyDist X = [0, 80]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 180, 140)
trigger2 = p2statetype = C
trigger2 = random < 200

[state -1, AI sweep (crouch middle kick)]
type =  changestate
value = 440
triggerall = var(50) && ctrl
triggerall = statetype != A
triggerall = P2BodyDist X = [20, 140]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 340, 300)
trigger2 = p2statetype = C
trigger2 = random < 380
trigger3 = enemynear, stateno = 151
trigger4 = enemynear, stateno = 153
trigger5 = enemynear, prevstateno = 151
trigger6 = enemynear, prevstateno = 153
trigger7 = enemynear, stateno = 140
trigger8 = enemynear, prevstateno = 140
trigger9 = enemynear, stateno = 5035 && random > 100

[state -1, AI crouch strong kick]
type =  changestate
value = 450
triggerall = var(50) && ctrl
triggerall = statetype != A
triggerall = P2BodyDist X = [20, 125]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 160, 110)
trigger2 = p2statetype = C
trigger2 = random < 170

[state -1, AI crouch light punch]
type =  changestate
value = 400
triggerall = var(50) && ctrl
triggerall = statetype != A
triggerall = P2BodyDist X = [0, 80]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 180, 140)
trigger2 = p2statetype = C
trigger2 = random < 200

[state -1, AI crouch middle punch]
type =  changestate
value = 410
triggerall = var(50) && ctrl
triggerall = statetype = S || statetype = C
triggerall = P2BodyDist X = [30, 110]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 160, 100)
trigger2 = p2statetype = C
trigger2 = random < 120

[state -1, AI crouch strong punch]
type =  changestate
value = 420
triggerall = var(50) && ctrl
triggerall = statetype != A
triggerall = P2BodyDist X = [0, 80]
trigger1 = p2statetype = S
trigger1 = random < ifelse((enemynear, const(size.height) <= 70), 180, 140)
trigger2 = p2statetype = C
trigger2 = random < 180

[state -1, AI ground light punch]
type =  changestate
value = 200
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [0, 100]
trigger1 = p2statetype = S
trigger1 = random < 300
trigger2 = P2BodyDist Y = [-50, 0]
trigger2 = p2statetype = A
trigger2 = random < 350
trigger3 = stateno = 200
trigger3 = movecontact
trigger3 = random > 300

[state -1, AI ground light kick]
type =  changestate
value = 230
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [0, 20]
trigger1 = p2statetype = S
trigger1 = random < 600

[state -1, AI ground middle punch]
type =  changestate
value = 210
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [20, 80]
trigger1 = p2statetype = S
trigger1 = random < 150
trigger2 = p2statetype = C
trigger2 = random < 120
trigger3 = p2statetype = A
trigger3 = random < 220
trigger3 = P2BodyDist X < 50
trigger3 = P2BodyDist Y = [-100, 0]

[state -1, AI ground middle kick]
type =  changestate
value = 240
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [0, 100]
trigger1 = p2statetype = S
trigger1 = random < 180
trigger2 = p2statetype = A
trigger2 = P2BodyDist Y = [-50, 0]
trigger2 = random < 240
trigger3 = p2statetype = C
trigger3 = P2BodyDist X < 60
trigger3 = random < 130

[state -1, simple combo]
type =  changestate
value = ifelse(random > 300, 240, 210)
triggerall = var(50) && movecontact
triggerall = statetype = S
triggerall = random > 50
trigger1 = stateno = 230
trigger2 = stateno = 200

[state -1, AI ground strong punch]
type =  changestate
value = 220
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [20, 80]
trigger1 = p2statetype = S
trigger1 = random < 100
trigger2 = P2BodyDist Y = [-100,0)
trigger2 = random < 120

[state -1, AI ground strong kick]
type =  changestate
value = 250
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [0, 50]
trigger1 = p2statetype = S
trigger1 = random < 120
trigger2 = P2BodyDist Y = [-20, 0)
trigger2 = random < 450

[state -1, AI enemy close]
type =  changestate
value = ifelse(random > 500 || (P2BodyDist Y < 0), 200, ifelse((random > 300), 430, 240))
triggerall = var(50) && ctrl
triggerall = statetype != A
trigger1 = P2BodyDist X = [0, 100]
trigger1 = P2BodyDist Y = [-70, 0]
trigger1 = enemynear, statetype != L

[state -1, AI run fwd]
type =  changestate
value = 100
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X > 160
trigger1 = p2movetype != A && p2movetype != H
trigger1 = random < 10

[state -1, AI hop back]
type =  changestate
value = 105
triggerall = var(50) && ctrl
triggerall = statetype = S
triggerall = P2BodyDist X = [0, 100]
trigger1 = p2movetype = A || p2movetype = H
trigger1 = random < 80

;-| AI Aerial Motions |---------------------------------------------------------
[state -1, AI air light punch]
type =  changestate
value = 600
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [30, 80]
trigger1 = P2BodyDist Y = [20, 80]
trigger1 = random < 600
trigger2 = P2BodyDist X = [0, 30]
trigger2 = P2BodyDist Y = [0, 80]
trigger2 = random < 450

[state -1, AI air light kick]
type =  changestate
value = 630
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [0, 50]
trigger1 = P2BodyDist Y = [10, 90]
trigger1 = random < 600

[state -1, AI air medium punch]
type =  changestate
value = 610
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [0, 60]
trigger1 = P2BodyDist Y = [20, 50]
trigger1 = random < 600
trigger2 = P2BodyDist X = [0, 40]
trigger2 = P2BodyDist Y = [-50, 50]
trigger2 = random < 450

[state -1, AI air medium kick]
type =  changestate
value = 640
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [20, 100]
trigger1 = P2BodyDist Y = [-70, 50]
trigger1 = random < 500

[state -1, AI air strong punch]
type =  changestate
value = 620
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [0, 50]
trigger1 = P2BodyDist Y = [-50, 50]
trigger1 = random < 750

[state -1, AI air strong kick]
type =  changestate
value = 650
triggerall = var(50) && ctrl
triggerall = statetype = A
trigger1 = P2BodyDist X = [0, 55]
trigger1 = P2BodyDist Y = [-50, 80]
trigger1 = random < 850